CobolManagedConnectionMetaData (Micro Focus COBOL Connector Class Library)
Keywords: com.microfocus.cobol.connector.spi.CobolManagedConnectionMetaData class

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.connector.spi
Class CobolManagedConnectionMetaData

    java.lang.Object
      com.microfocus.cobol.connector.spi.CobolManagedConnectionMetaData

All Implemented Interfaces:
  ManagedConnectionMetaData

public class CobolManagedConnectionMetaData
extends Object
implements ManagedConnectionMetaData

This class gives info about a ManagedConnection and the connected EIS instance.

Constructor Summary
`CobolManagedConnectionMetaData(CobolManagedConnection mc)`

Method Summary
`String` | `getEISProductName()`
`String` | `getEISProductVersion()`
`int` | `getMaxConnections()`
`String` | `getUserName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CobolManagedConnectionMetaData

    public CobolManagedConnectionMetaData(CobolManagedConnection mc)

Method Detail

### getEISProductName

    public String getEISProductName()
                             throws ResourceException

  Specified by:
    `getEISProductName` in interface `ManagedConnectionMetaData`
  Throws:
    `ResourceException`

### getEISProductVersion

    public String getEISProductVersion()
                                throws ResourceException

  Specified by:
    `getEISProductVersion` in interface `ManagedConnectionMetaData`
  Throws:
    `ResourceException`

### getMaxConnections

    public int getMaxConnections()
                          throws ResourceException

  Specified by:
    `getMaxConnections` in interface `ManagedConnectionMetaData`
  Throws:
    `ResourceException`

### getUserName

    public String getUserName()
                       throws ResourceException

  Specified by:
    `getUserName` in interface `ManagedConnectionMetaData`
  Throws:
    `ResourceException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.